D4Science Infrastructure - Task #2106

Task # 411 (Closed): New server for the new instance of PUMA

Install Joomla for the new PUMA portal
Feb 02, 2016 12:24 PM - Michele Artini

Status: Closed Start date: Feb 02, 2016
Priority: Urgent Due date:

Assignee: Andrea Dell'Amico % Done: 100%
Category: Estimated time: 0.00 hour
Target version: System Configuration

Infrastructure: Development

Description

It is necessary to install Joomla on node0-d-puma.d4science.org, can you prepare it?

These are the requirements: https:/docs.joomla.org/J3.x:Installing_Joomla

It is necessary also to install the solr php module (it should be distributed as a deb package)
and to add the following line to the php.ini file:

extension=solr.so

History

#1 - Feb 02, 2016 02:35 PM - Andrea Dell'Amico

- Status changed from New to In Progress

There is no deb package for the php solr plugin. | find references to this one: https://code.google.com/archive/p/solr-php-client/downloads that does
not see a new version since 2011.
Is it the right plugin or there's something newer?

#2 - Feb 02, 2016 02:43 PM - Michele Artini

| think that you can install it using the following command:
pecl install solr

#3 - Feb 02, 2016 05:34 PM - Andrea Dell’Amico
- % Done changed from 0 to 90

#5 - Feb 02, 2016 05:48 PM - Michele Artini

Ok, thanks.

Another requirement: can you install the php module for Mongo?
From deb package or using:

pecl install mongodb

#6 - Feb 02, 2016 05:55 PM - Andrea Dell'Amico

Done.
| did not understand from the documentation if it's possibile to configure memcached as the session cache. You can do it manually, after the steps
from the web configuration have been completed, adding the following lines to /var/www/node0-d-puma.d4science.org/configuration.php:

public $cache_handler = 'memcached';

public $memcached_server_host = '127.0.0.1"';

public $memcached_server_port = '11211';

public $memcached_persist = '1';

public $memcached_compress = '1';

public $cachetime = '15';

public $session_handler = 'memcached';

public $session_memcached_server_host = '127.0.0.1"';
public $session_memcached_server_port = '11211"';
#7 - Feb 04, 2016 03:15 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

#8 - Feb 04, 2016 03:38 PM - Michele Artini
- Status changed from Feedback to Closed

#9 - Mar 06, 2018 09:03 AM - Michele Artini

- Status changed from Closed to In Progress

There are some incompatibilities between joomla and postgres.

Can you reinstall joomla using mysqgl and an updated version of mysql (>= 5.6)?

#10 - Mar 07, 2018 12:19 PM - Andrea Dell'Amico

- Tracker changed from Support to Task

I'm going to install mysqgl and the php mysql driver, there's no need to touch the joomla instance.

#11 - Mar 07, 2018 03:07 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

Also reinstalled joomla and the mongo and solr php plugins.

#12 - Mar 12, 2018 11:46 AM - Andrea Dell'Amico
- Status changed from Feedback to Closed

#13 - Mar 22, 2018 03:08 PM - Michele Artini

- Status changed from Closed to In Progress

Can you activate the support for short URLs in joomla?

#14 - Mar 27, 2018 02:08 PM - Andrea Dell'Amico

The Joomla redirect rules do not work on the apache version installed on the VM. We must move from apache to nginx, the work will require some
downtime (10/15 minutes if all goes well, up to a couple of hours if we must revert to apache).

Let me know when | can stop the service to perform the required changes.

#15 - Mar 27, 2018 02:14 PM - Leonardo Candela

The sooner the better ... we are going to release the service soon.

#16 - Mar 27, 2018 04:42 PM - Andrea Dell'Amico

OK, I'm starting now.

#17 - Mar 27, 2018 04:55 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

| just enabled the ULR shortening and it's working.

#18 - Mar 28, 2018 11:08 AM - Andrea Dell'Amico
- Status changed from Feedback to Closed
